DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Typedefs
Helper class to include binary data inside XML strings using "Base64 encoding".
The XML parser

## Classes
struct | XMLParserBase64Tool
| Helper class to include binary data inside XML strings using "Base64 encoding". More...

## Typedefs
typedef struct XMLDLLENTRY XMLParserBase64Tool | XMLParserBase64Tool
| Helper class to include binary data inside XML strings using "Base64 encoding".

## Detailed Description

## Typedef Documentation

## ◆ XMLParserBase64Tool

typedef struct XMLDLLENTRY XMLParserBase64Tool XMLParserBase64Tool

Helper class to include binary data inside XML strings using "Base64 encoding".

The "XMLParserBase64Tool" class allows you to include any binary data (images, sounds,...) into an XML document using "Base64 encoding". This class is completely separated from the rest of the xmlParser library and can be removed without any problem. To include some binary data into an XML file, you must convert the binary data into standard text (using "encode"). To retrieve the original binary data from the b64-encoded text included inside the XML file, use "decode". Alternatively, these functions can also be used to "encrypt/decrypt" some critical data contained inside the XML (it's not a strong encryption at all, but sometimes it can be useful).

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2